[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.FindComponent

Finds and returns the named component in the owned components.

## Declaration

Source position: classesh.inc line 1737

`public function TComponent.FindComponent(`
`const AName: string`
`):TComponent;`

## Description

FindComponent searches the component with name AName in the list of owned components. If AName is empty, then Nil is returned.

## See also

Components |  | Indexed list (zero-based) of all owned components.
Name |  | Name of the component.

Documentation generated on: Feb 26 2014